Start an async agent interaction with a callback URL.

Dedicated handler for async agent interactions exposed via the SDK.

Requires callback_url and always returns 202 with session_id + events_url.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

agent_idstringRequired

Query parameters

session_idstring or nullOptionalformat: "uuid"

Request

This endpoint expects an object.
messageslist of objectsRequired
List of incoming user messages and drive file references.
callback_urlstringRequired

Callback URL that Scout will POST to when the interaction completes. The request is signed with HMAC-SHA256 using the organization’s secret key.

metadatamap from strings to anyOptional

Optional metadata (e.g., salesforce_session)

Response

Successful Response
session_idstring
The session ID for the interaction.
events_urlstring
URL to replay the interaction's event stream.

Errors